//
//  greatWhole.hpp
//  emptyExample
//
//  Created by Sebastian Holzki on 17.04.19.
//

#include <stdio.h>
#include "ofMain.h"
#include "avatar.hpp"

#pragma once


/* Das Große Ganze beinhaltet eine unbestimmte Anzahl an bereits eingecheckten Personen, deren Infos in Avatare gespeichert werden.
 Es bedarf eine setup(), update() und draw()-Methode. Dabei soll Platz für den vector<Avatar> geschaffen werden. In update wird eine
 gewisse Bewegung der Avatar-"Bubbles" definiert. Draw zeichnet die Avatare auf die Stelen, also die entsprechenden Koordinaten. */


class GreatWhole {
    
    
public:
    
    GreatWhole();
    ~GreatWhole();
    
   void setup();
   void update(vector<Avatar*> avatars);
    void draw();
    
    void addAvatar(Avatar avatar);
    Avatar getAvatarAt(int i);

    
    
private:
    
    vector<Avatar*> avatars;
    
};
